---
title: "Making the Leap - My Journey from Windows to Arch Linux"
pubDate: 'Sep 20 2023'
description: "I use Arch btw."
draft: false
---

Transitioning from one operating system to another is never a simple endeavor (no pun intended?? #endeavouros). For many, such a journey can seem daunting, filled with unknown terminology, new tools, and a steep learning curve. For me, the leap from Windows to Arch Linux was driven by passion, curiosity, and a desire to be part of a community that champions open-source values. Here’s my experience after a month of getting the hang of Arch.

### Discovering the World of Open Source

My intrigue towards Linux and open-source software stemmed from my involvement with my studentorganization, ["friByte"](https://fribyte.no). As I delved into the world of free and open-source software, I realized the immense potential it holds. Not just in terms of software freedom, but also for its capacity to foster community-driven development and collaboration.

### Testing the Waters with EndeavourOS

Before diving straight into Arch, I got my feet wet with EndeavourOS. For those unfamiliar, EndeavourOS offers a user-friendly gateway to the world of Arch Linux. While it was an ok - but pleasant - experience, a nudge from a close friend made me contemplate venturing deeper into the Arch ecosystem.

### The Trials of Installing Arch

Arch Linux, renowned for its flexibility and simplicity, doesn't come without its challenges, especially for us newcomers. My installation journey saw three attempts. One of those was facilitated by the installation script, which aimed to streamline the process. But it wasn't just the technical hurdles that I had to overcome; it was also about understanding the philosophy behind Arch, the manual approach to everything.

Thankfully, I wasn't alone in this expedition. Friends from friByte, and outside (shoutout [Albert](https://github.com/albertbayazidi)), became my guiding stars, offering help, resources, and moral support lol. Their experiences and insights were invaluable.

### Oops! The Dual Boot Dilemma

In my enthusiasm, I overlooked a crucial detail: I still needed Windows for my schoolwork. This realization led me to my next challenge: dual-booting. Armed with Gparted, a powerful partitioning tool, I (with help) managed to carve out space for both operating systems to coexist harmoniously on my machine. I also got the Windows partition to show up in my grub also.   
Thank you for the help [Rolf](https://github.com/polsevev) & [Johannes](https://github.com/skivdal)!

### The *Ricing* Rabbit Hole

Once Arch was up and running, my creative juices started flowing. I had heard about "ricing" – the art of customizing your Linux distro to make it aesthetically pleasing and functionally efficient. It wasn't long before I found myself deep in forums, tutorials, and Reddit threads (*r/unixporn <3*), absorbing every piece of information on the topic.

The result? A meticulously customized desktop environment that reflected my personality, needs and love for [Catppuccin Macchiato](https://github.com/catppuccin/catppuccin/tree/main) lmao. I also created a [dotfiles repository](https://github.com/SindreKjelsrud/dotfiles) to manage and backup my configuration, ensuring that I could recreate my setup anywhere, anytime.
It is still a WIP, but I'm super-happy with how it is so far!

### Wrapping Up

The journey from Windows to Arch Linux was filled with ups and downs. It demanded patience, persistence, and a willingness to learn. But every challenge met was a lesson learned, and every obstacle overcome was a testament to the supportive community that surrounds the world of open-source.

Today, I can confidently say that making the switch was worth every second of effort. Not only did I gain a deeper understanding of my computer's workings, but I also feel like I've become a part of a vibrant community that believes in sharing, collaborating, and pushing the boundaries of what software can do.

To anyone contemplating a similar journey, I say: Take the leap. Embrace the challenges. And most importantly, cherish the community. They're, as ChatGPT quoted while helping me wrapping up this post, ***"the heart and soul of the open-source world"***.